## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogView

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
                                              org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl.SybaseViewTableImpl
                                                  org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEViewTableImpl
                                                      org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, ICatalogTable, SybaseASEViewTable, SybaseAuthorizedObject, SybaseViewTable, SQLObject, DerivedTable, Table, ViewTable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogView

extends SybaseASEViewTableImpl
implements ICatalogObject, ICatalogTable, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogView()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getPrivileges()` Returns all the privileges granted to this table and its columns
`QueryExpression` `getQueryExpression()` Returns the value of the 'Query Expression' containment reference.
`int` `getTableId()`
`boolean` `isNeedRefresh()`
`boolean` `isSystem()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEViewTableImpl
`eGet, eIsSet, eSet, eUnset, isWithCheckOption, setWithCheckOption, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
`getCheckType, setCheckType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
`basicSetQueryExpression, eInverseRemove, setQueryExpression`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, eInverseAdd, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.ViewTable
`getCheckType, setCheckType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogView

    public SybaseASECatalogView()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getColumns

    public org.eclipse.emf.common.util.EList getColumns()

  Description copied from interface: `Table`
  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getQueryExpression

    public QueryExpression getQueryExpression()

  Description copied from interface: `DerivedTable`
  Returns the value of the 'Query Expression' containment reference.

  If the meaning of the 'Query Expression' containment reference isn't clear, there really should be more of a description here...

  Specified by:
    `getQueryExpression` in interface `DerivedTable`
  Overrides:
    `getQueryExpression` in class `org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl`
  Returns:
    the value of the 'Query Expression' containment reference.
  See Also:
    `DerivedTable.setQueryExpression(QueryExpression)`, `SQLTablesPackage.getDerivedTable_QueryExpression()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

  Returns all the privileges granted to this table and its columns

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Overrides:
    `getPrivileges` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### getTableId

    public int getTableId()

  Specified by:
    `getTableId` in interface `ICatalogTable`

### isSystem

    public boolean isSystem()

  Description copied from class: `SybaseViewTableImpl`

  Specified by:
    `isSystem` in interface `SybaseViewTable`
  Overrides:
    `isSystem` in class `SybaseViewTableImpl`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### isNeedRefresh

    public boolean isNeedRefresh()